package cn.com.countrygarden.bi.main.dto;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;

public class PersonnelAssessmentDTO {
	
	     
	    private Integer id;
	    /**
	     * 人才信息ID
	     */	 	
	    private Integer personnelId;	    	    
	    /**
	     * 用户编号
	     */	 	
	    private String userId;
	    
	    /**
	     * 用户姓名
	     */	 
	    private String name;
	    
	    private String regionName;
	    /**
	     * 企业经营平均分
	     */	 
	    private double operation;
	    
	    /**
	     * 运营管理平均分
	     */	 
	    private double management;
	    
	    /**
	     * 学习发展平均分
	     */	 
	    private double development;
	  
	    /**
	     *品德认同平均分
	     */	 
	    private double identity;
	    
	    /**
	     *总分
	     */	 
	    private double score;
	    /**
	     * 评价
	     */	 	
	    private String evaluation;
	    /**
	     *   /**
	     * 问题分类id
	     */	 	
	    private Integer rqcid;
	      /**
	     * 问题分类名
	     */	 	
	    private String rqcname;
	    /**
	     *   /**
	     * 问卷id
	     */	 	
	    private Integer questionnaireId;
	    /**
	     *   /**
	     * 被调查人id
	     */	 	
	    private Integer investigatedId;
	    
	    
	    private double pngjun;
	    /**
	     * 标识字段
	     */	 	
	    private Integer flag;
	    /**
	     * 添加时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date additionTime;	
	    /**
	     * 创建时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date createdDate;
	    /**
	     * 创建人
	     */	 	
	    private String createdBy;
	    
	    private String createdName;
	    /**
	     * 修改时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date updatedDate;
	    /**
	     * 修改人
	     */	 	
	    private String updatedBy;
	    
	    private List<PersonnelAssessmentDTO> peasscore;
	    
	    private List<String> avgsorce;
		public Integer getId() {
			return id;
		}
		public void setId(Integer id) {
			this.id = id;
		}
		public Integer getPersonnelId() {
			return personnelId;
		}
		public void setPersonnelId(Integer personnelId) {
			this.personnelId = personnelId;
		}
		public String getUserId() {
			return userId;
		}
		public void setUserId(String userId) {
			this.userId = userId;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getEvaluation() {
			return evaluation;
		}
		public void setEvaluation(String evaluation) {
			this.evaluation = evaluation;
		}
		public Date getCreatedDate() {
			return createdDate;
		}
		public void setCreatedDate(Date createdDate) {
			this.createdDate = createdDate;
		}
		public String getCreatedBy() {
			return createdBy;
		}
		public void setCreatedBy(String createdBy) {
			this.createdBy = createdBy;
		}
		public Date getUpdatedDate() {
			return updatedDate;
		}
		public void setUpdatedDate(Date updatedDate) {
			this.updatedDate = updatedDate;
		}
		public String getUpdatedBy() {
			return updatedBy;
		}
		public void setUpdatedBy(String updatedBy) {
			this.updatedBy = updatedBy;
		}
		public double getOperation() {
			return operation;
		}
		public void setOperation(double operation) {
			this.operation = operation;
		}
		public double getManagement() {
			return management;
		}
		public void setManagement(double management) {
			this.management = management;
		}
		public double getDevelopment() {
			return development;
		}
		public void setDevelopment(double development) {
			this.development = development;
		}
		public double getIdentity() {
			return identity;
		}
		public void setIdentity(double identity) {
			this.identity = identity;
		}
		public Integer getInvestigatedId() {
			return investigatedId;
		}
		public void setInvestigatedId(Integer investigatedId) {
			this.investigatedId = investigatedId;
		}
		public Integer getQuestionnaireId() {
			return questionnaireId;
		}
		public void setQuestionnaireId(Integer questionnaireId) {
			this.questionnaireId = questionnaireId;
		}
		public Integer getRqcid() {
			return rqcid;
		}
		public void setRqcid(Integer rqcid) {
			this.rqcid = rqcid;
		}
		public double getPngjun() {
			return pngjun;
		}
		public void setPngjun(double pngjun) {
			this.pngjun = pngjun;
		}
		public List<PersonnelAssessmentDTO> getPeasscore() {
			return peasscore;
		}
		public void setPeasscore(List<PersonnelAssessmentDTO> peasscore) {
			this.peasscore = peasscore;
		}
		public List<String> getAvgsorce() {
			return avgsorce;
		}
		public void setAvgsorce(List<String> avgsorce) {
			this.avgsorce = avgsorce;
		}
		public String getRqcname() {
			return rqcname;
		}
		public void setRqcname(String rqcname) {
			this.rqcname = rqcname;
		}
		public String getCreatedName() {
			return createdName;
		}
		public void setCreatedName(String createdName) {
			this.createdName = createdName;
		}
		public Integer getFlag() {
			return flag;
		}
		public void setFlag(Integer flag) {
			this.flag = flag;
		}
		public Date getAdditionTime() {
			return additionTime;
		}
		public void setAdditionTime(Date additionTime) {
			this.additionTime = additionTime;
		}
		public String getRegionName() {
			return regionName;
		}
		public void setRegionName(String regionName) {
			this.regionName = regionName;
		}
		public double getScore() {
			return score;
		}
		public void setScore(double score) {
			this.score = score;
		}
	  
}
